Updates a B2B invoice.
Use this method if you want to change a document number or status of a B2B invoice. EDI Invoice must not be accepted. Permissions: Unit users. PurchaseManagement api family.
Path Parameters
- Type: stringFormat: uuididrequired
Headers
- Type: stringD
C Key The Integration Key generated for API Authentication by the PAR OPS support team as part of the integration/partnership process.
Body·
- Type: string | nullNew
Invoice Number - Type: string | nullStatus
Responses
- 200
OK
Request Example for patch/v2/PurchaseManagement/B2BDocuments/Invoices/{id}
curl /v2/PurchaseManagement/B2BDocuments/Invoices/C895A81E-0C20-42C0-B2DC-EAF43F9447BD \
--request PATCH \
--header 'Content-Type: application/json-patch+json' \
--header 'DCKey: YOUR_SECRET_TOKEN' \
--data '{
"NewInvoiceNumber": null,
"Status": null
}'
No Body
